## NMSettingWimax NMSettingWimax — Describes 802.16e Mobile WiMAX connection properties |

## Functions

GQuark | nm_setting_wimax_error_quark ()
NMSetting * | nm_setting_wimax_new ()
const char * | nm_setting_wimax_get_network_name ()
const GByteArray * | nm_setting_wimax_get_mac_address ()

## Properties

GArray_guchar_ * | mac-address | Read / Write
gchar * | network-name | Read / Write

## Types and Values

#define | NM_SETTING_WIMAX_SETTING_NAME
enum | NMSettingWimaxError
#define | NM_SETTING_WIMAX_ERROR
#define | NM_SETTING_WIMAX_NETWORK_NAME
#define | NM_SETTING_WIMAX_MAC_ADDRESS

## Object Hierarchy

        GEnum
        ╰── NMSettingWimaxError
        GObject
        ╰── NMSetting
            ╰── NMSettingWimax

## Includes

    #include <nm-setting-wimax.h>

## Description

The NMSettingWimax object is a NMSetting subclass that describes properties necessary for connection to 802.16e Mobile WiMAX networks.

NetworkManager no longer supports WiMAX; while this API remains available for backward-compatibility reasons, it serves no real purpose, since WiMAX connections cannot be activated.

## Functions

### nm_setting_wimax_error_quark ()

    GQuark
    nm_setting_wimax_error_quark (void);

`nm_setting_wimax_error_quark` has been deprecated since version 1.2 and should not be used in newly-written code.

WiMAX is no longer supported.

Registers an error quark for NMSettingWimax if necessary.

#### Returns

the error quark used for NMSettingWimax errors.

### nm_setting_wimax_new ()

    NMSetting *
    nm_setting_wimax_new (void);

`nm_setting_wimax_new` has been deprecated since version 1.2 and should not be used in newly-written code.

WiMAX is no longer supported.

Creates a new NMSettingWimax object with default values.

#### Returns

the new empty NMSettingWimax object

### nm_setting_wimax_get_network_name ()

    const char *
    nm_setting_wimax_get_network_name (NMSettingWimax *setting);

`nm_setting_wimax_get_network_name` has been deprecated since version 1.2 and should not be used in newly-written code.

WiMAX is no longer supported.

Returns the WiMAX NSP name (ex "Sprint" or "CLEAR") which identifies the specific WiMAX network this setting describes a connection to.

#### Parameters

setting | the NMSettingWimax |

#### Returns

the WiMAX NSP name

### nm_setting_wimax_get_mac_address ()

    const GByteArray *
    nm_setting_wimax_get_mac_address (NMSettingWimax *setting);

`nm_setting_wimax_get_mac_address` has been deprecated since version 1.2 and should not be used in newly-written code.

WiMAX is no longer supported.

Returns the MAC address of a WiMAX device which this connection is locked to.

#### Parameters

setting | the NMSettingWimax |

#### Returns

the MAC address

## Types and Values

### NM_SETTING_WIMAX_SETTING_NAME

    #define NM_SETTING_WIMAX_SETTING_NAME "wimax"

### enum NMSettingWimaxError

#### Members

NM_SETTING_WIMAX_ERROR_UNKNOWN | unknown or unclassified error |
NM_SETTING_WIMAX_ERROR_INVALID_PROPERTY | the property was invalid |
NM_SETTING_WIMAX_ERROR_MISSING_PROPERTY | the property was missing and is required |

### NM_SETTING_WIMAX_ERROR

    #define NM_SETTING_WIMAX_ERROR nm_setting_wimax_error_quark ()

### NM_SETTING_WIMAX_NETWORK_NAME

    #define NM_SETTING_WIMAX_NETWORK_NAME "network-name"

### NM_SETTING_WIMAX_MAC_ADDRESS

    #define NM_SETTING_WIMAX_MAC_ADDRESS  "mac-address"

## Property Details

### The `“mac-address”` property

      “mac-address”              GArray_guchar_ *

If specified, this connection will only apply to the WiMAX device whose MAC address matches. This property does not change the MAC address of the device (known as MAC spoofing).

`NMSettingWimax:mac-address` has been deprecated since version 1.2 and should not be used in newly-written code.

WiMAX is no longer supported.

Flags: Read / Write

### The `“network-name”` property

      “network-name”             gchar *

Network Service Provider (NSP) name of the WiMAX network this connection should use.

`NMSettingWimax:network-name` has been deprecated since version 1.2 and should not be used in newly-written code.

WiMAX is no longer supported.

Flags: Read / Write

Default value: NULL